%define name logilab-common
%define version 0.37.0
%define release alt1

%setup_python_module %name

Name: %packagename
Version: %version
Release: %release

Summary: Useful miscellaneous modules used by Logilab projects
License: GPLv2+
Group: Development/Python

BuildArch: noarch

Url: http://www.logilab.org/project/logilab-common
Source: %modulename-%version.tar.gz

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

%py_requires mx.DateTime

%description
logilab-common is a collection of low-level Python packages and modules,
 designed to ease:
  * handling command line options and configuration files
  * writing interactive command line tools
  * manipulation files and character strings
  * interfacing to OmniORB (removed by packager)
  * generating of SQL queries
  * running unit tests
  * manipulating tree structures
  * accessing RDBMS (currently postgreSQL, mysql and sqlite)
  * generating text and HTML reports
  * logging

%prep
%setup -n %modulename-%version

%build
rm corbautils.py
env CFLAGS="%optflags" %__python setup.py build

%install
%__python setup.py install --root=%buildroot --optimize=2 --record=INSTALLED_FILES
install -pD -m644 doc/pytest.1 %buildroot%_man1dir/pytest.1
grep -v test/ INSTALLED_FILES > INSTALLED_FILES2
rm -rf %buildroot%python_sitelibdir/logilab/common/test

%files -f INSTALLED_FILES2
%doc ChangeLog README
%python_sitelibdir/logilab/__init__.py*
%_man1dir/*

%changelog
* Sat Dec 13 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.37.0-alt1
- 0.37.0

* Sat Nov 15 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.36.1-alt1
- 0.36.1

* Sun Nov 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.36.0-alt1
- 0.36.0

* Sun Oct 12 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.35.2-alt1
- 0.35.2
- spec cleanup
- package logilab/__init__.py, fixing imports and automatic dependency
  search (closes: #17532)
- don't package tests

* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.21.0-alt1.1
- Rebuilt with python-2.5.

* Wed Dec 6 2006 Andrey Khavryuchenko <akhavr@altlinux.org> 0.21.0-alt1
- Initial build for ALT Linux

